Autor Thema: Kdenlive und Transmageddon starten nicht seit dem Neujahrsupdate  (Gelesen 259 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline perchlorat

  • Vollwertiges Mitglied
  • ***
  • Beiträge: 125
  • Dankeschön: 1 mal
  • Karma: +0/-0
    • Lebenslust jetzt! – Praxis für Psychotherapie
  • Desktop: XFCE
  • Grafikkarte: nVidia GeForce GTX 1650
  • Grafikkartentreiber: nonfree
  • Kernel: 5.10.2
  • Prozessor: i5-7400
  • Skill: Anfänger
  • Zweig: stable
Kdenlive
Betr. Kdenlive hatte ich hier schon am 15. Dez. 2020 gepostet:
https://de.manjaro.org/index.php?topic=10150.msg61147#msg61147
und auch den Maintainer des Paket kontaktet. Bis heute hat sich nichts daran geändert, dass ich Kdenlive ausschließlich als AppImage starten kann und nicht in der über Pacman installierten Form.

Wenn ich das über Pacman installierte Kdenlive im Terminal starte, erhalte ich:
$ kdenlive
mlt_repository_init: failed to dlopen /usr/lib/mlt/libmltopencv.so
  (/usr/lib/mlt/libmltopencv.so: undefined symbol: _ZN2cv7Tracker6updateERKNS_11_InputArrayERNS_5Rect_IdEE)
mlt_repository_init: failed to dlopen /usr/lib/mlt/libmltsox.so
  (libsox.so.3: cannot open shared object file: No such file or directory)
mlt_repository_init: failed to dlopen /usr/lib/mlt/libmltopengl.so
  (libmovit.so.8: cannot open shared object file: No such file or directory)
mlt_repository_init: failed to dlopen /usr/lib/mlt/libmltsdl.so
  (libSDL_image-1.2.so.0: cannot open shared object file: No such file or directory)
mlt_repository_init: failed to dlopen /usr/lib/mlt/libmltrtaudio.so
  (librtaudio.so.6: cannot open shared object file: No such file or directory)
No LADSPA plugins were found!

Check your LADSPA_PATH environment variable.
mlt_repository_init: failed to dlopen /usr/lib/mlt/libmltrubberband.so
  (librubberband.so.2: cannot open shared object file: No such file or directory)
Invalid title/identifier for "crop_detect"
Failed to parse "crop_detect"
Invalid metadata for "telecide"
Failed to parse "telecide"
Invalid metadata for "deinterlace"
Failed to parse "deinterlace"
Invalid metadata for "avcolour_space"
Failed to parse "avcolour_space"
Invalid metadata for "avcolor_space"
Failed to parse "avcolor_space"
Invalid metadata for "avdeinterlace"
Failed to parse "avdeinterlace"
Invalid metadata for "swscale"
Failed to parse "swscale"
Invalid metadata for "swresample"
Failed to parse "swresample"
Invalid metadata for "jack"
Failed to parse "jack"
Invalid metadata for "audiochannels"
Failed to parse "audiochannels"
Invalid metadata for "audioconvert"
Failed to parse "audioconvert"
Invalid metadata for "data_feed"
Failed to parse "data_feed"
Invalid metadata for "imageconvert"
Failed to parse "imageconvert"
Unknown asset "avfilter.acompressor"
Unknown asset "avfilter.aecho"
Unknown asset "avfilter.agate"
Unknown asset "avfilter.atadenoise"
Unknown asset "avfilter.bwdif"
Unknown asset "avfilter.deblock"
Unknown asset "avfilter.dedot"
Unknown asset "avfilter.deflate"
Unknown asset "avfilter.derain"
Unknown asset "avfilter.doubleweave"
Unknown asset "avfilter.field"
Unknown asset "avfilter.framestep"
Unknown asset "avfilter.fspp"
Unknown asset "avfilter.graphmonitor"
Unknown asset "avfilter.hqdn3d"
Unknown asset "avfilter.inflate"
Unknown asset "avfilter.lagfun"
Unknown asset "avfilter.random"
Unknown asset "avfilter.removegrain"
Unknown asset "avfilter.separatefields"
Unknown asset "avfilter.shuffleplanes"
Unknown asset "avfilter.sr"
Unknown asset "avfilter.tmix"
Unknown asset "avfilter.w3fdif"
Unknown asset "avfilter.weave"
Unknown asset "avfilter.yadif"
Unknown asset "frei0r.baltan"
Unknown asset "frei0r.bgsubtract0r"
Unknown asset "frei0r.bigsh0t_eq_mask"
Unknown asset "frei0r.bigsh0t_eq_to_rect"
Unknown asset "frei0r.bigsh0t_hemi_to_eq"
Unknown asset "frei0r.bigsh0t_rect_to_eq"
Unknown asset "frei0r.bigsh0t_stabilize_360"
Unknown asset "frei0r.bigsh0t_transform_360"
Unknown asset "frei0r.delay0r"
Unknown asset "frei0r.delaygrab"
Unknown asset "frei0r.facebl0r"
Unknown asset "frei0r.facedetect"
Unknown asset "frei0r.lightgraffiti"
Unknown asset "frei0r.lightgraffiti"
Unknown asset "movit.blur"
Unknown asset "movit.sharpen"
Unknown asset "movit.diffusion"
Unknown asset "movit.flip"
Unknown asset "movit.glow"
Unknown asset "movit.lift_gamma_gain"
Unknown asset "movit.mirror"
Unknown asset "movit.opacity"
Unknown asset "movit.rect"
Unknown asset "movit.saturation"
Unknown asset "movit.unsharp_mask"
Unknown asset "movit.vignette"
Unknown asset "movit.white_balance"
Unknown asset "region"
Unknown asset "sox"
Unknown asset "sox"
Unknown asset "sox"
Unknown asset "sox"
Unknown asset "sox"
Unknown asset "sox"
Unknown asset "sox"
Unknown asset "timewarp"
Unknown asset "opencv.tracker"
Unknown asset "opencv.tracker"
Speicherzugriffsfehler (Speicherabzug geschrieben)

Alle als fehlend oder nicht nutzbar reklamierten Dateien sind ordnungsgemäß in den entsprechenden Ordnern enthalten und haben korrekt gesetzte Zugriffsrechte!

Transmageddon
Um Videos schnell und unkompliziert in andere Formate zu wandeln, nutzte ich bisher gerne Transmageddon. Öffne ich dies im Terminal, so erhalte ich:
$ transmageddon
/usr/share/transmageddon/transmageddon.py:31: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
/usr/share/transmageddon/transmageddon.py:32: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import GdkX11, Gdk, Gio, Gtk, GLib, Gst, GstPbutils, GstTag
/usr/share/transmageddon/transmageddon.py:32: PyGIWarning: Gst was imported without specifying a version first. Use gi.require_version('Gst', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import GdkX11, Gdk, Gio, Gtk, GLib, Gst, GstPbutils, GstTag
/usr/share/transmageddon/transmageddon.py:32: PyGIWarning: GstPbutils was imported without specifying a version first. Use gi.require_version('GstPbutils', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import GdkX11, Gdk, Gio, Gtk, GLib, Gst, GstPbutils, GstTag
/usr/share/transmageddon/transmageddon.py:32: PyGIWarning: GstTag was imported without specifying a version first. Use gi.require_version('GstTag', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import GdkX11, Gdk, Gio, Gtk, GLib, Gst, GstPbutils, GstTag
/usr/share/transmageddon/transmageddon.py:33: PyGIWarning: GUdev was imported without specifying a version first. Use gi.require_version('GUdev', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import GUdev
Traceback (most recent call last):
  File "/usr/share/transmageddon/transmageddon.py", line 37, in <module>
    import transcoder_engine
  File "/usr/share/transmageddon/transcoder_engine.py", line 20, in <module>
    import presets
  File "/usr/share/transmageddon/presets.py", line 591, in <module>
    load_directory(full)
  File "/usr/share/transmageddon/presets.py", line 432, in load_directory
    _presets[filename[:-4]] = load(os.path.join(directory, filename))
  File "/usr/share/transmageddon/presets.py", line 394, in load
    for child in tree.getroot().getchildren():
AttributeError: 'xml.etree.ElementTree.Element' object has no attribute 'getchildren'

Mit diesen Angaben kann ich nichts anfangen und so auch keine Fehlersuche beginnen.

Ich finde es schade, dass nach über einem Monat seit dem großen Update diese beiden Programme noch nicht wieder richtig laufen. Das Kdenlive-Problem scheint sogar noch länger zu bestehen.

Aber vielleicht hat jemand hier die Probleme bereits lösen können und kann Tipps geben?

Offline quantix

  • Held Mitglied
  • *****
  • Beiträge: 611
  • Dankeschön: 95 mal
  • Karma: +0/-0
  • Desktop: Xfce + fish
  • Grafikkarte: Laptop Ati RS880M / PC GeForce GT 730
  • Grafikkartentreiber: Laptop free / PC nonfree
  • Kernel: 5.11
  • Prozessor: Laptop AMD Phenom II P920 / PC i5-4460
  • Skill: Anfänger
  • Zweig: stable
Re: Kdenlive und Transmageddon starten nicht seit dem Neujahrsupdate
« Antwort #1 am: 06. Februar 2021, 18:45:25 »
Bei mir funktioniert Kdenlive ohne Probleme.
Speicherzugriffsfehler (Speicherabzug geschrieben)
Sieht aus, als ob dein System nicht in Ordnung ist.

Zu Transmageddon kann ich nichts sagen, ich verwende zum Konvertieren von Videos ffmpeg, z.B.:

ffmpeg -i <datei.ts> <datei.mp4>
Alles sollte so einfach wie möglich sein - aber nicht einfacher.
Albert Einstein

PGV ecogold, HP Pavilion dv7, Acer Spin 111, Raspberry Pi 2

Offline perchlorat

  • Vollwertiges Mitglied
  • ***
  • Beiträge: 125
  • Dankeschön: 1 mal
  • Karma: +0/-0
    • Lebenslust jetzt! – Praxis für Psychotherapie
  • Desktop: XFCE
  • Grafikkarte: nVidia GeForce GTX 1650
  • Grafikkartentreiber: nonfree
  • Kernel: 5.10.2
  • Prozessor: i5-7400
  • Skill: Anfänger
  • Zweig: stable
Re: Kdenlive und Transmageddon starten nicht seit dem Neujahrsupdate
« Antwort #2 am: 06. Februar 2021, 22:23:33 »
Ich kann mir zwar unter "Speicherabzugsfehler" nichts vorstellen. Ich kann mir aber vorstellen, dass solche Fehler entstehen können, wenn beim Ladevorgang von Kdenlive wichtige Dateien nicht gefunden / geladen werden können.

Und wenn in meinem System ein Fehler wäre, wieso tritt der nicht auf, wenn ich Kdenlive als AppImage starte? Da werden doch die gleichen Dateien geladen, die gleichen Ressourcen der Hardware genutzt usw.. Nur werden offensichtlich dann beim Laden alle Dateien gefunden und korrekt eingebunden.

Betr. ffmpg und Transmageddon: Ich hasse nach wie vor diese Kommandozeilen und möchte ein Programm mit GUI nutzen. So viel ich weiß, nutzt Transmageddon ffmpeg.

Offline quantix

  • Held Mitglied
  • *****
  • Beiträge: 611
  • Dankeschön: 95 mal
  • Karma: +0/-0
  • Desktop: Xfce + fish
  • Grafikkarte: Laptop Ati RS880M / PC GeForce GT 730
  • Grafikkartentreiber: Laptop free / PC nonfree
  • Kernel: 5.11
  • Prozessor: Laptop AMD Phenom II P920 / PC i5-4460
  • Skill: Anfänger
  • Zweig: stable
Re: Kdenlive und Transmageddon starten nicht seit dem Neujahrsupdate
« Antwort #3 am: 06. Februar 2021, 23:09:25 »
Ich kann mir zwar unter "Speicherabzugsfehler" nichts vorstellen.
Eine Erklärung dazu habe ich hier gefunden.
Und wenn in meinem System ein Fehler wäre, wieso tritt der nicht auf, wenn ich Kdenlive als AppImage starte?
https://wiki.ubuntuusers.de/AppImage/
https://de.wikipedia.org/wiki/AppImage
Alles sollte so einfach wie möglich sein - aber nicht einfacher.
Albert Einstein

PGV ecogold, HP Pavilion dv7, Acer Spin 111, Raspberry Pi 2

Offline perchlorat

  • Vollwertiges Mitglied
  • ***
  • Beiträge: 125
  • Dankeschön: 1 mal
  • Karma: +0/-0
    • Lebenslust jetzt! – Praxis für Psychotherapie
  • Desktop: XFCE
  • Grafikkarte: nVidia GeForce GTX 1650
  • Grafikkartentreiber: nonfree
  • Kernel: 5.10.2
  • Prozessor: i5-7400
  • Skill: Anfänger
  • Zweig: stable
Re: Kdenlive und Transmageddon starten nicht seit dem Neujahrsupdate
« Antwort #4 am: 06. Februar 2021, 23:22:54 »
Danke für den Link betr. Speicherabzug:
Zitat
Der Fehler tritt wenn die Rücksprungadresse einer Unterfunktion auf einen ungültigen Speicherblock zeigt, der keinen ausführbaren Code enthält, sondern nur Nutzdaten oder gar nichts definiertes.

Und genau das kann ja auch dadurch geschehen, dass das zu ladende Programm bestimmte Dateien nicht laden kann und ein anderer Programmteil aber von deren Vorhandensein ausgeht und dann in einen Speicherbereich springt, in dem diese Datei liegen müsste.

Die Vor- und Nachteile der AppImages sind mir bekannt. Und ich gehe davon aus, dass bei Start des AppImage genau die Dateien alle geladen werden, die beim Start des über Pacman installierten Kdenlive eben nicht geladen werden.

Offline perchlorat

  • Vollwertiges Mitglied
  • ***
  • Beiträge: 125
  • Dankeschön: 1 mal
  • Karma: +0/-0
    • Lebenslust jetzt! – Praxis für Psychotherapie
  • Desktop: XFCE
  • Grafikkarte: nVidia GeForce GTX 1650
  • Grafikkartentreiber: nonfree
  • Kernel: 5.10.2
  • Prozessor: i5-7400
  • Skill: Anfänger
  • Zweig: stable
Re: Kdenlive und Transmageddon starten nicht seit dem Neujahrsupdate
« Antwort #5 am: 02. Mai 2021, 22:18:56 »
Auch hier fand ich inzwischen – zumindest betr. Kdenlive – die Lösung:

Als Desktop habe ich ja XFCE gewählt. Und um meinen PC schlank zu halten – auch wenn neue Programme installiert werden – habe ich bei der Installation von Kdenlive den optional angebotenen "Plasma-Desktop" nicht mit installiert. Genau daher auch all die Probleme.
Nachdem ich diese Option mit installiert hatte, habe ich auch keine Probleme mehr damit, Kdenlive mit dunkelbraunem Hintergrund zu erhalten. Das ist dann der Standard-Zustand.
Jedenfalls brauche ich jetzt Kdenlive nicht mehr vom AppImage zu starten, sondern habe es jetzt ganz regulär installiert und es startet zuverlässig.

Das mir ebenfalls wichtige Programm "Transmageddon" lässt sich aber weiterhin nicht starten. Wenn ich es im Terminal starte, erhalte ich:
$ transmageddon
/usr/share/transmageddon/transmageddon.py:31: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
/usr/share/transmageddon/transmageddon.py:32: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import GdkX11, Gdk, Gio, Gtk, GLib, Gst, GstPbutils, GstTag
/usr/share/transmageddon/transmageddon.py:32: PyGIWarning: Gst was imported without specifying a version first. Use gi.require_version('Gst', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import GdkX11, Gdk, Gio, Gtk, GLib, Gst, GstPbutils, GstTag
/usr/share/transmageddon/transmageddon.py:32: PyGIWarning: GstPbutils was imported without specifying a version first. Use gi.require_version('GstPbutils', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import GdkX11, Gdk, Gio, Gtk, GLib, Gst, GstPbutils, GstTag
/usr/share/transmageddon/transmageddon.py:32: PyGIWarning: GstTag was imported without specifying a version first. Use gi.require_version('GstTag', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import GdkX11, Gdk, Gio, Gtk, GLib, Gst, GstPbutils, GstTag
/usr/share/transmageddon/transmageddon.py:33: PyGIWarning: GUdev was imported without specifying a version first. Use gi.require_version('GUdev', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import GUdev
Traceback (most recent call last):
  File "/usr/share/transmageddon/transmageddon.py", line 37, in <module>
    import transcoder_engine
  File "/usr/share/transmageddon/transcoder_engine.py", line 20, in <module>
    import presets
  File "/usr/share/transmageddon/presets.py", line 591, in <module>
    load_directory(full)
  File "/usr/share/transmageddon/presets.py", line 432, in load_directory
    _presets[filename[:-4]] = load(os.path.join(directory, filename))
  File "/usr/share/transmageddon/presets.py", line 394, in load
    for child in tree.getroot().getchildren():
AttributeError: 'xml.etree.ElementTree.Element' object has no attribute 'getchildren'

Mit diesen Meldungen kann ich nix anfangen. Hat da jemand eine Idee??

Offline gosia

  • Held Mitglied
  • *****
  • Beiträge: 2076
  • Dankeschön: 415 mal
  • Karma: +0/-0
  • Desktop: Openbox + xfce
  • Grafikkarte: Intel HD 4000
  • Grafikkartentreiber: i915 (free)
  • Kernel: 4.19 Artix
  • Prozessor: Intel Core i5-3210M
  • Skill: Durchschnitt
  • Zweig: stable
Re: Kdenlive und Transmageddon starten nicht seit dem Neujahrsupdate
« Antwort #6 am: 03. Mai 2021, 10:42:43 »
Hallo perchlorat,
der Transmageddon-Fehler ist bekannt und wohl noch nicht behoben. Jedenfalls empfiehlt Yochanan vom Manjaro-Team, sich eine Alternative zu suchen, Handbrake z.B.
https://forum.manjaro.org/t/transmageddon-fails-to-run/48360

viele Grüße gosia
"funktioniert nicht" ist keine brauchbare Fehlermeldung

Offline perchlorat

  • Vollwertiges Mitglied
  • ***
  • Beiträge: 125
  • Dankeschön: 1 mal
  • Karma: +0/-0
    • Lebenslust jetzt! – Praxis für Psychotherapie
  • Desktop: XFCE
  • Grafikkarte: nVidia GeForce GTX 1650
  • Grafikkartentreiber: nonfree
  • Kernel: 5.10.2
  • Prozessor: i5-7400
  • Skill: Anfänger
  • Zweig: stable
Re: Kdenlive und Transmageddon starten nicht seit dem Neujahrsupdate
« Antwort #7 am: 03. Mai 2021, 11:03:55 »
Vielen Dank dir für den Hinweis betr. Transmageddon. Leider hat Handbrake viele Funktionen nicht, die ich bei Transmageddon geboten bekomme, zudem mit einer deutlich übersichtlicheren GUI.

Schade! Muss ich eben abwarten.....